Bug 68032 - Linux: CUPS: Landscape printing prints as portrait with content turned at 90 degree
Summary: Linux: CUPS: Landscape printing prints as portrait with content turned at 90 ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 69359 (view as bug list)
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2013-08-12 18:52 UTC by Ruslan Kabatsayev
Modified: 2019-05-07 02:42 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Kabatsayev 2013-08-12 18:52:02 UTC
This bug is very similar to bug 55085 which appears to be abandoned. The difference is that I reproduce it on Linux, not MacOS.
So, here're steps to reproduce:
1. Start Writer
2. Format-Page-Landscape-OK
3. Type "test" or anything else
4. Ctrl+P, OK
5. Take the page out of the printer and see that instead of normal landscape printout you get a turned & cropped version, i.e. landscape data on portrait printout.

I've tested LibO 3.5-4.1, and bug reproduces in all versions.
Workaround is similar to that mentioned in bug 55085 - export to PDF and print from PDF viewer, which then works OK.

I'm using AcuLaser C1100 and CUPS 1.5.0.
Comment 1 tommy27 2013-09-21 07:19:33 UTC
do you still see this in 4.0.5 or 4.1.1?
Comment 2 Ruslan Kabatsayev 2013-09-21 07:21:34 UTC
I saw it in 4.1.1
Comment 3 tommy27 2013-09-29 14:07:38 UTC
*** Bug 69359 has been marked as a duplicate of this bug. ***
Comment 4 EDWARD R SCOTT 2014-01-13 06:47:15 UTC
This problem still exists with printing in landscape; it only turns the portrait output 90 degrees before printing.  Must I export the page in PDF format first before printing to get all columns which should appear in landscape mode?

*** This bug has been marked as a duplicate of bug 55085 ***
Comment 5 Alex Thurgood 2014-01-13 09:25:16 UTC
Re-opening, as ERS has confirmed that bug still present.

Removing DUP status as :

1) that previous bug report did not receive sufficient information from the original poster to be able to reproduce, and

2) it concerned OSX and not Linux.


Alex
Comment 6 edonkey2001-libreoffice 2014-04-09 16:52:59 UTC
An user on IRC had the same problem on 4.2.2.1 on more than one computer, I can't replicate it though.
The pdf workaround works.
Comment 7 Joel Madero 2014-11-05 03:33:02 UTC
looks like this is confirmed (maybe?) moving to NEW as REOPENED is incorrect status.
Comment 8 Alex Thurgood 2015-11-02 10:21:47 UTC
*** Bug 95453 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2017-09-01 11:21:01 UTC Comment hidden (obsolete)
Comment 10 Don Wade 2017-09-01 14:19:41 UTC
I have retested this issue using LibreOffice 5.3.4.2 on a PCLinuxOS machine using kernel 4.12.7, and the problem with a Landscape page printing the text in Portrait instead of Landscape as selected is still present. I verified that it is not just my printer causing the problem by testing the same landscape page in a different word processing application (Abiword 3.0.2) and it did print correctly when I tried that. 

Not sure what the problem is in LibreOffice but it is still printing incorrectly when the page is set to Landscape.
Comment 11 Ruslan Kabatsayev 2017-09-05 10:02:58 UTC Comment hidden (obsolete)
Comment 12 Alex Thurgood 2017-09-05 12:34:58 UTC Comment hidden (obsolete)
Comment 13 Don Wade 2017-10-23 22:04:27 UTC
I have retested this using both an updated PCLinuxOS install and Ubuntu 17.04 and in these test the print worked as needed. I used format page to landscape, copied & pasted text used from previous test, printed....all text was printed correctly in landscape format.  It appears this has been fixed but the version of LibreOffice on Ubuntu is older than the version found on PCLOS. Perhaps an "operator error" on my part? But it is working now, so I am happy.
Comment 14 Ruslan Kabatsayev 2017-10-24 05:47:59 UTC
I still reproduce this with LibreOffice 5.4.2.2 downloaded from libreoffice.org on the same system as originally (LFS with CUPS 1.5.0).
Comment 15 Greg 2017-12-14 15:56:53 UTC Comment hidden (no-value)
Comment 16 Pete K. 2017-12-20 19:33:21 UTC Comment hidden (no-value)
Comment 17 Mike Kaganski 2017-12-25 12:04:49 UTC
Replies referring to macOS are irrelevant here; that problem is fixed in bug 92190.
Comment 18 Mike Kaganski 2017-12-25 12:43:16 UTC
@Ruslan:

I doubt that this was actually confirmed independently here (both EDWARD R SCOTT in comment 4, and edonkey2001-libreoffice@yahoo.it in comment 6 failed to mention the OS at least); though there are some indications that similar problems indeed happen on some Linux boxes (https://ask.libreoffice.org/en/question/57515/stuck-in-landscape-but-i-chose-portrait-help/ - see comment by timbopt to original question).

Still, it seems highly specific to some boxes; and it's still not clear how to reproduce the problem.

You seem to have it consistently since long ago, throughout many versions. I suppose it's on the same box? No HW changes? Could you try to reproduce on e newly installed system (say, in a VM)? If it doesn't reproduce there, then could you try to find the differences in configurations, to nail problem down?
Comment 19 QA Administrators 2019-05-07 02:42:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug